#coding: utf-8

import copy
from itertools import takewhile

def parse_graphite_line(line):
    metric, timestamp, value = line.split()
    header_fields = ['version', 'region', 'client', 'product', 'value', 'timestamp']

    parts = metric.split('.')
    if len(parts) < 5:
        raise ValueError('Too few parts in metric: {0}'.format(metric))

    info = {}
    kv_parts = list(takewhile(lambda x: '_' in x, parts[4:]))

    info['metric'] = '.'.join(parts[4 + len(kv_parts):])
    info.update(dict(zip(header_fields, parts[:4] + [value, timestamp])))
    info.update(dict(map(lambda x: x.split('_'), kv_parts)))

    return info


def format_info_tsdb(info):
    copied_info = copy.copy(info)
    metric = copied_info.pop('metric')
    value = copied_info.pop('value')
    ts = copied_info.pop('timestamp')

    return 'put {0} {1} {2} {3}'.format(
        metric, value, ts, ' '.join(map(lambda x: '='.join(x), copied_info.items())))