#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os
import sys


try:
    from setuptools import setup
except ImportError:
    from distutils.core import setup

if sys.argv[-1] == 'publish':
    os.system('python setup.py sdist upload')
    sys.exit()

readme = open('README.md').read()
history = open('HISTORY.md').read().replace('.. :changelog:', '')

setup(
    name='gr2tsdb',
    version='0.1.2',
    description='Converts metrics in Graphite line protocol into OpenTSDB-compatible telnet protocol.',
    long_description=readme + '\n\n' + history,
    author='Kirill Borisov',
    author_email='borisov@bars-open.ru',
    url='https://src.bars-open.ru/py/m3/sadwind/gr2tsdb',
    packages=[
        'gr2tsdb',
    ],
    package_dir={'gr2tsdb': 'gr2tsdb'},
    include_package_data=True,
    install_requires=[
        'parse>=1.6.2'
    ],
    license="MIT",
    zip_safe=False,
    keywords='gr2tsdb',
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Natural Language :: English',
        "Programming Language :: Python :: 2",
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
    ],
    test_suite='tests',
    entry_points={
        'console_scripts': [
            'gr2tsdb = gr2tsdb.main:main',
        ]
    }
)
